<?php
require_once("../includes/bootstrap2.php");
if (!headers_sent())
    ob_start("ob_gzhandler");
$sesion = new sesion(); // inicio la sesion
$sesion->set('permiso', permisos($_POST['privilegio']));

if (!comprobar_sesion()) {
    mensaje($cleguaje->Phrase('global', 'ses_cad'), $cleguaje->Phrase('project', 'institucion'));
    exit;
}
$academia = bootstrap::initBd($sesion->get('anio'));
$configuracion = $sesion->get('configuracion');
$nombre_grupo = $configuracion['nombres_grupos'];

$tipus = $sesion->get('ac_tipo_user');
$cd_docente = false;
if ($sesion->getVar('cod_cmps.cd_docen') == $tipus) {
    $cd_docente = $sesion->getVar('info_doc.cod_profesor');
}
$mayus_nom = $sesion->getVar('configuracion.format_nom');
$permisos = str_split($sesion->get('permiso'));
?>
<script id="tmplEnca" type="text/x-jquery-tmpl">
    <tr>
        <th>Nombres y apellidos</th>
        <th>Estado</th>
    {{each(i,c) nommats}}
    <th>${c.nm}</th>
    {{/each}}
    </tr>
</script>
<script id="tmplMats" type="text/x-jquery-tmpl">
    <tr>
        <td>${nomape}</td>
        <td>${estado}</td>
    {{each(i,c) mats}}
    <td>${c}</td>
    {{/each}}
    </tr>
</script>
<script  type="text/javascript">
    $(function() {

        var modulo = "mod_aprueba_est/";
        var objRec = $("#btnrec");
        var functionsModule = {
            data: null,
            _propertyColumns: {
                width: 50,
                formatter: function(value, opt, cel) {
                    var aux = opt.pos - 3
                    aux = functionsModule.data.nommats[aux].np
                    if(parseFloat(value)<=parseFloat(aux))
                        return '<span class="nota_mala">' + value + "</span>";
                    else
                        return value;
                },
                unformat: null,
            },
            _colModel: function(cols) {
                var cm = [
                    {name: 'nomest', index: 'nomest', width: 230, resizable: false,frozen:true},
                    {name: 'estado', index: 'estado', width: 130, resizable: false,frozen:true,
                        editable: true,edittype:"select",editoptions:{value:"0:Indeterminado;1:Aprobo;2:No Aprobo"}
                    }
                ];
                tam = cols.length;
                for (i = 0; i < tam; i++) {
                    cm.push($.extend({}, functionsModule._propertyColumns, {name: "mat" + i, index: "mat" + i}));
                }
                return cm;
            },
            _columsMat: function() {
                $.ajax({
                    url: modulo + "list_dts_matxest.php",
                    dataType: "json",
                    async: false,
                    success: function(dts) {
                        functionsModule.data = dts
                    }
                });
                return functionsModule.data;
            },
            _addEventListeners: function() {
                objRec.on("click", function() {
                    functionsModule.viewGrid();
                });
            },
            init: function() {
                functionsModule._addEventListeners();
                var dts = functionsModule._columsMat();
                $("#tmplEnca").tmpl(dts).appendTo("#list_aprueba_est thead");
                $("#tmplMats").tmpl(dts.rows).appendTo("#list_aprueba_est tbody");
            },
            viewGrid: function() {
                tableToGrid("#list_aprueba_est", {
                    height: 450,
                    width: '890', rowNum: 150,
                    shrinkToFit: false,
                    rownumbers: true,
                    cellEdit:true,
                    cellsubmit:"clientArray",
                }, functionsModule._colModel(functionsModule.data.nommats));
                //jQuery("#list_aprueba_est").jqGrid('setFrozenColumns');
            }
        };
        $(document).ready(function() {
            functionsModule.init();
        }); /*fin dom*/
    });
</script>

<button id="btnrec" class="btn btn-info">Hola</button>
<table id="list_aprueba_est" >
    <thead>
    </thead>
    <tbody>
    </tbody>
</table>
<div id="pager_aprueba_est"></div>
